## Typing stubs for pika

This is a [PEP 561](https://peps.python.org/pep-0561/)
type stub package for the [`pika`](https://github.com/pika/pika) package.
It can be used by type-checking tools like
[mypy](https://github.com/python/mypy/),
[pyright](https://github.com/microsoft/pyright),
[pytype](https://github.com/google/pytype/),
[Pyre](https://pyre-check.org/),
PyCharm, etc. to check code that uses `pika`. This version of
`types-pika-ts` aims to provide accurate annotations for
`pika==1.3.*`.

The `types-pika` package contains alternate, more complete type stubs, that are maintained outside of typeshed.

This package is part of the [typeshed project](https://github.com/python/typeshed).
All fixes for types and metadata should be contributed there.
See [the README](https://github.com/python/typeshed/blob/main/README.md)
for more details. The source for this package can be found in the
[`stubs/pika`](https://github.com/python/typeshed/tree/main/stubs/pika)
directory.

This package was tested with
mypy 1.15.0,
pyright 1.1.398,
and pytype 2024.10.11.
It was generated from typeshed commit
[`bfd032156c59bbf851f62174014f24f4f89b96af`](https://github.com/python/typeshed/commit/bfd032156c59bbf851f62174014f24f4f89b96af).